# Rates

Use these operations to manage your rates.
| Operation | Method | Description |
|  --- | --- | --- |
| [Get rates](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getrates) | GET | Gets a list of configured exchange rates. |
| [Create rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/createrate) | POST | Creates an exchange rate for a specified currency pair. |
| [Get rate by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getratebyid) | GET | Gets a configured exchange rate by ID. |
| [Update rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/updaterate) | PUT | Updates an existing exchange rate. |
| [Delete rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/deleterate) | DELETE | Deletes an exchange rate. Once deleted, an exchange rate cannot be accessed. |

 - [GET /config/rates](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getrates.md): Gets a list of configured exchange rates.
 - [POST /config/rates](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/createrate.md): Creates an exchange rate for a specified currency pair. **Example** - Applying a margin to the live FX rate: A USD-GBP live FX rate of 0.80 is provided by a third-party rate provider and you want to r
 - [GET /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getratebyid.md): Gets a configured exchange rate by ID.
 - [PUT /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/updaterate.md): Updates an existing exchange rate. With this call, you can change `value_type` from `RATE` to `MARGIN` (and vice versa), change the actual `rate` value of the specified value type, or both. **Example*
 - [DELETE /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/deleterate.md): Deletes an exchange rate. Once deleted, an exchange rate cannot be accessed.
